local PATH_COMICS_20_ON_SHOWN 		    =	'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_20_CLEANING_AGENT 	=	'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_20_PASSWORD		  	=	'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_20_PASSWORD_ENTERED   =	'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_20_ZOOM_DISPLAY		=	'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_20_ON_WIN			    =	'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_20_HAMMER             =	'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	
	level:AddTaskSafe( CreateTask('PLANE', '', 'plane') )
	AddRandomTasks(14,
               CreateTask('VASE', '', 'vase'),
               CreateTask('APPLE', 'APPLES', 'apple1', 'apple2', 'apple3'),               
               CreateTask('BEAR', '', 'bear'),
               CreateTask('BELL', '', 'bell'),
               CreateTask('BOTTLE', 'BOTTLES', 'bottle1', 'bottle2', 'bottle3'),
               CreateTask('CAP', '', 'cap'),
               CreateTask('CAR', '', 'car'),               
               CreateTask('CLEW', '', 'clew'),
               CreateTask('COFFEE_POT', '', 'coffee_pot'),
               CreateTask('FISH', 'FISH', 'fish1', 'fish2', 'fish3', 'fish'),
               CreateTask('FLOWER', 'FLOWERS', 'flower1', 'flower2', 'flower3'),               
               CreateTask('FUNNEL', '', 'funnel'),
               CreateTask('GLASS', '', 'glass'),
               CreateTask('GLASSES', '', 'glasses'),
               CreateTask('HANGER', '', 'hanger'),
               CreateTask('KEYS', '', 'keys'),
               CreateTask('LIGHTBULB', '', 'lightbulb'),
               CreateTask('LIGHTNING', '', 'lightning'),
               CreateTask('MASK', 'MASKS', 'mask1', 'mask2', 'mask3'),               
               CreateTask('PUPPET', '', 'puppet'),
               CreateTask('SHOE', '', 'shoe'),               
               CreateTask('STAR', 'STARS', 'star1', 'star2', 'star3'),               
               CreateTask('STREAMER', '', 'streamer'),
               CreateTask('THUMBTACK', '', 'thumbtack'),
			   CreateTask('WALNUT', '', 'walnut'),
               CreateTask('CANDY', '', 'candy'),
               CreateTask('COOKIE', '', 'cookie'),
               CreateTask('NAPKIN', '', 'napkin'),
			   CreateTask('SPIDER', '', 'spider'),
               CreateTask('LETTER_R', '', 'R'),
               CreateTask('BINDER_CLIP', '', 'safety_pin'),
			   CreateTask('TRINKET', '', 'trinket'),
               CreateTask('BOLT', '', 'bolt'),
               CreateTask('COMB', '', 'hairbrush'),
               CreateTask('MATCHES', '', 'matches')
	)
	pf:IgnoreOnTestPoint('BG_Maska1')
	pf:IgnoreOnTestPoint('BG_Solonka')
	pf:IgnoreOnTestPoint('BG_Tsvetok1')
	pf:IgnoreOnTestPoint('BG_Tsvetok3')
	pf:IgnoreOnTestPoint('BG_Yabloko2')
		
	pf:GetObject('aska'):SetOpacity(0)
	pf:GetObject('monitor'):SetOpacity(0)
	
	pf:GetObject('comp1'):SetOpacity(0)
	pf:GetObject('comp2'):SetOpacity(0)
	pf:GetObject('comp3'):SetOpacity(0)
	
	pf:GetObject('password_star_1'):SetMaxOpacity(0)
	pf:GetObject('password_star_2'):SetMaxOpacity(0)
	pf:GetObject('password_star_3'):SetMaxOpacity(0)
	
	local delay = 2 * GetAnimationLength(pf:GetObject('monitor'):GetAnimation())
	PlayAnimationPeriodicallyVsRandDelay(pf:GetObject('pomex'), delay, delay)
	
	pf:GetObject('displayimage3'):SetMaxOpacity(0)
	pf:GetObject('displayimage4'):SetMaxOpacity(0)
	---------------------------------------------------------------------------------------------
    zone_cup = CreateZoomZone('close_zone_cup',
                                 'pixel_open_cup',
                                 'ZoomCupBg',
                                 'dirt',
								 'candy',
								 'cookie',
								 'napkin',
								 'walnut',
								 'password'
                                )
	--------------------------------------------------------------------------------------------
	play_field:IgnoreOnTestPoint('password')
    local photo_action_cleaning_agent = function()
                                  end
    local apply_action_cleaning_agent = function(save)
								local dirt = pf:GetObject('dirt')
								dirt:SetMaxOpacity(0)
								if pf:HasObject('password') and 
								   pf:IsIgnoredOnTestPoint(pf:GetObject('password')) then
								   pf:DoNotIgnoreOnTestPoint('password')
								end
                                if save then
                                    dirt:SetOpacity(0)
                                else
									MakeSoundEntity('20_cup'):Play(false)
                                    dirt:ChangeOpacity(1, 0, 0.1)
                                end								
                             end
    local photo_cleaning_agent = CreatePhotoZone('cleaning_agent',
											     'CLEANING_AGENT', 
											     'cleaning_agent_photo', 
											     photo_action_cleaning_agent,
											     'dirt',
											     apply_action_cleaning_agent)
	---------------------------------------------------------------------------------------------
    zone_table = CreateZoomZone('close_zone_table',
                                 'pixel_table',
                                 'ZoomTableBg',
                                 'pixel_keyboard',
								 'Aska',
								 'bolt',
								 'BG_Brelok',
								 'trinket',
								 'matches',
								 'hammer',
								 'hairbrush',
								 'password_star_1',
								 'password_star_2',
								 'password_star_3',
								 'PassRequest',
								 'displayimage3',
								 'displayimage4'
                                )
	pf:GetObject('pixel_keyboard'):SetMaxOpacity(0.001)
	pf:GetObject('Aska'):SetMaxOpacity(0)
	pf:IgnoreOnTestPoint('BG_Brelok')
	if IsCanCloseZoomZone(zone_table) == false then
	    zone_table.SetManualUnregister(true)
    end
	
	local DefaultSetVisible = zone_table.SetVisible
	zone_table.SetVisible = function(is_visible)
        DefaultSetVisible(is_visible)
        
        if is_visible == false and IsCanCloseZoomZone(zone_table) then
            zone_table.SetManualUnregister(false)    
            DisableZoomZoneRequest(zone_table)
        end
    end
    
	---------------------------------------------------------------------------------------------
	zone_display = CreateZoomZone('close_zone_display',
                                 '', -- pixel_display
                                 'ZoomDisplayBg',
                                 'spider2',
								 'fish',
								 'R',
								 'plane',
								 'safety_pin',
								 'boy_9',
								 'displayimage1',
								 'displayimage2'
                                )	
	pf:GetObject('boy_9'):SetMaxOpacity(0)
	pf:GetObject('displayimage1'):SetMaxOpacity(0)
	pf:GetObject('displayimage2'):SetMaxOpacity(0)
	---------------------------------------------------------------------------------------------
	pf:GetObject('Boy_Big'):GetAnimation():SetColor('0xFFFFFFFF')
	pf:GetObject('Boy_Big'):SetOpacity(0)
	game_state.chain_on_win = RegisterComicsEx(function()
                                                    local comics = LoadComics(PATH_COMICS_20_ON_WIN, 'COMICS_20_ON_WIN_1')
                                                    if comics then
                                                        pf:GetObject('Boy_Big'):ChangeOpacity(0, 1, 0.2)
                                                        CreateOneReplicBoys('COMICS_20_ON_WIN_1', 1)													
                                                        CreateOneReplicHeroes('COMICS_20_ON_WIN_2', 2)
                                                        CreateOneReplicBoys('COMICS_20_ON_WIN_3', 3)													
                                                        CreateOneReplicHeroes('COMICS_20_ON_WIN_4', 4)													
                                                        CreateOneReplicBoys('COMICS_20_ON_WIN_5', 5)													
													end
                                                 end )
	game_state.chain_on_win.OnHidden = function()
	                                       pf:GetObject('Boy_Big'):ChangeOpacity(1, 0, 0.2) 
									       OnWinLevel()
									   end
	---------------------------------------------------------------------------------------------
	local apply_action_password = function(save)
                                RegisterZoomZone(zone_display, 'pixel_display')
    
								play_field:GetObject('displayimage1'):SetMaxOpacity(1)
								play_field:GetObject('displayimage2'):SetMaxOpacity(1)
								play_field:GetObject('boy_9'):SetMaxOpacity(1)								
								play_field:GetObject('aska'):SetOpacity(1)
								play_field:GetObject('monitor'):SetOpacity(1)
								play_field:GetObject('pomex'):GetAnimation():SetColor('0xFFFFFFFF')
								local image = pf:GetObject('Aska')
								local image2 = pf:GetObject('displayimage3')
								local image3 = pf:GetObject('displayimage4')
								image:SetMaxOpacity(1)
								image2:SetMaxOpacity(1)
								image3:SetMaxOpacity(1)
								
								zone_display.OnShown = function()								    
								  if play_field:GetObject('monitor'):GetOpacity() == 1 then
									game_state.chain_zoom_display.Play()
								  end
							    end	
                                if save then
                                else                                    
                                    game_state.chain_on_password_entered.Play()
									local star1 = play_field:GetObject('password_star_1')
									local star2 = play_field:GetObject('password_star_2')
									local star3 = play_field:GetObject('password_star_3')
									star1:SetMaxOpacity(1)
									star2:SetMaxOpacity(1)
									star3:SetMaxOpacity(1)
									local af = CreateAnimationEffector()
									af:AttachTo(star1)
									af:SetKey(_TRACK_O, 0, 0)
									af:SetKey(_TRACK_O, 0.1, 1)									
									af:Play()
									
									local af = CreateAnimationEffector()
									af:AttachTo(star2)
									af:SetKey(_TRACK_O, 0, 0)
									af:SetKey(_TRACK_O, 0.1, 0)									
									af:SetKey(_TRACK_O, 0.2, 1)	
									af:Play()
									
									local af = CreateAnimationEffector()
									af:AttachTo(star3)
									af:SetKey(_TRACK_O, 0, 0)
									af:SetKey(_TRACK_O, 0.2, 0)									
									af:SetKey(_TRACK_O, 0.3, 1)									
									af:Play()
									
									local entering_time = 0.3
									zone_table.Blocked(0.3)
									TimerDo(play_field:GetTimer(), 0.3, function()
																			star1:SetMaxOpacity(0)
																			star2:SetMaxOpacity(0)
																			star3:SetMaxOpacity(0)
																			
																			image2:SetMaxOpacity(1)
																			image3:SetMaxOpacity(1)
																			image:ChangeOpacity(0, 1, 0.1)
																			image2:ChangeOpacity(0, 1, 0.1)
																			image3:ChangeOpacity(0, 1, 0.1)
																		end)
                                end								
                             end
    local photo_password = CreatePhotoZone('password',
											 'PASSWORD', 
											 'password_photo', 
											 nil,
											 'pixel_keyboard',
											 apply_action_password)
	---------------------------------------------------------------------------------------------
	local photo_action_hammer = function()                                
                             end
	local apply_action_hammer_2;
	local apply_action_hammer_3;	
	
	game_state.hammer_sound = MakeSoundEntity('20_hammer')
	apply_action_hammer_3 = function(save)
	                            if save and not HasGameState('HammerApplied3', 'true') then
                                    return									
								end
								if not HasGameState('HammerApplied3', 'true') then
									AddGameState('HammerApplied3', 'true')								
								end
								if not save then
								    game_state.hammer_sound:StopSound()
								    game_state.hammer_sound:Play(false)
								end
								UnregisterPhotoZone('hammer')
								pf:GetObject('comp3'):SetOpacity(1)
								pf:GetObject('comp2'):SetOpacity(0)
								pf:IgnoreOnTestPoint('pixel_hammer_3')
								
								pf:GetObject('displayimage1'):SetMaxOpacity(0)
								pf:GetObject('displayimage2'):SetMaxOpacity(0)
								pf:GetObject('boy_9'):SetMaxOpacity(0)								
								pf:GetObject('aska'):SetOpacity(0)
								pf:GetObject('DisplayOn'):SetOpacity(0)
								pf:GetObject('monitor'):SetOpacity(0)
								pf:GetObject('pomex'):GetAnimation():SetColor('0x00FFFFFF')
								local image = pf:GetObject('Aska')
								image:SetMaxOpacity(0)
								
								pf:GetObject('PassRequest'):SetMaxOpacity(0)
								
								pf:GetObject('displayimage3'):SetMaxOpacity(0)
								pf:GetObject('displayimage4'):SetMaxOpacity(0)
								
								NotesFound('Notes_14')
								OnWin()
                             end
    
	apply_action_hammer_2 = function(save)
	                            if save then
	                                if not HasGameState('HammerApplied2', 'true') then
                                        return																			
									end
	                            end
								SetApplyActionPhotoZone(photo_hammer, 'pixel_hammer_3', apply_action_hammer_3)
								if save then
								    apply_action_hammer_3(save)
								else
								    game_state.hammer_sound:StopSound()
								    game_state.hammer_sound:Play(false)
								end
								if not HasGameState('HammerApplied2', 'true') then
									AddGameState('HammerApplied2', 'true')								
								end
								pf:GetObject('comp2'):SetOpacity(1)
								pf:GetObject('comp1'):SetOpacity(0)
								pf:IgnoreOnTestPoint('pixel_hammer_2')
								--[[if save then
									pf:GetObject('zoom_helmet_0'):SetOpacity(0)
								else
									pf:GetObject('zoom_helmet_0'):ChangeOpacity(1, 0, 0.1)		
									PlaySound('15_clear_alga')
								end]]
                             end
	
    local apply_action_hammer_1 = function(save)
									SetApplyActionPhotoZone(photo_hammer, 'pixel_hammer_2', apply_action_hammer_2)
									if save then
									    apply_action_hammer_2(save)
									else
									    game_state.hammer_sound:StopSound()
									    game_state.hammer_sound:Play(false)
									end
									if not HasGameState('HammerApplied1', 'true') then
										AddGameState('HammerApplied1', 'true')
									end
									
									play_field:GetObject('comp1'):SetOpacity(1)
									play_field:IgnoreOnTestPoint('pixel_hammer_1')
								end
	photo_hammer = CreatePhotoZone('hammer', 'HAMMER', 'hammer_photo', photo_action_hammer, nil, nil, true)		
	---------------------------------------------------------------------------------------------
	
    game_state.chain_zoom_display = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_20_ZOOM_DISPLAY, 'COMICS_20_ZOOM_DISPLAY');
                                                 end );
    game_state.chain_zoom_display.OnHidden = function()
                                               SetApplyActionPhotoZone(photo_hammer, 'pixel_hammer_1', apply_action_hammer_1)
                                             end
    if game_state.chain_zoom_display.played then
        SetApplyActionPhotoZone(photo_hammer, 'pixel_hammer_1', apply_action_hammer_1)
    end
    ---------------------------------------------------------------------------------------------
	game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_20_ON_SHOWN, 'COMICS_20_ON_SHOWN')
                                                 end )
	game_state.chain_on_cleaning_agent = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_20_CLEANING_AGENT, 'COMICS_20_CLEANING_AGENT')
                                                 end )
	game_state.chain_on_password = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_20_PASSWORD, 'COMICS_20_PASSWORD')
                                                 end )
	game_state.chain_on_password_entered = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_20_PASSWORD_ENTERED, 'COMICS_20_PASSWORD_ENTERED')
                                                 end )
    game_state.chain_on_password_entered.OnHidden = function()
--      DisableZoomZoneRequest(zone_table)
    end
    game_state.chain_hammer = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_20_HAMMER, 'COMICS_20_HAMMER')
                                                 end )
    SetHintComicsPhotoZoneEx(photo_hammer, game_state.chain_hammer)
	---------------------------------------------------------------------------------------------
	SetHintComicsPhotoZoneEx(photo_cleaning_agent, game_state.chain_on_cleaning_agent)
	SetHintComicsPhotoZoneEx(photo_password, game_state.chain_on_password)
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
	if fade_out then	    
		game_state.chain_on_shown.Play()
	end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
	if  play_field:GetLevelScreen():IsCompleteLevel() and 
        play_field:GetObject('comp3'):GetOpacity() == 1
    then
		game_state.chain_on_win.Play()
	end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/apple1.png',0,0,27,36,1,0)
	anim:SetHotSpot(13,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple1',anim,982,360,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/apple2.png',0,0,34,41,1,0)
	anim:SetHotSpot(17,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple2',anim,765,622,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/apple3.png',0,0,30,28,1,0)
	anim:SetHotSpot(15,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple3',anim,350,541,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/bear.png',0,0,90,40,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bear',anim,832,60,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/bell.png',0,0,47,54,1,0)
	anim:SetHotSpot(23,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,913,279,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/bottle1.png',0,0,38,61,1,0)
	anim:SetHotSpot(19,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle1',anim,804,502,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/bottle2.png',0,0,34,97,1,0)
	anim:SetHotSpot(17,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle2',anim,1011,475,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/bottle3.png',0,0,32,58,1,0)
	anim:SetHotSpot(16,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle3',anim,391,517,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/cap.png',0,0,51,71,1,0)
	anim:SetHotSpot(25,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cap',anim,223,435,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/car.png',0,0,60,32,1,0)
	anim:SetHotSpot(30,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('car',anim,793,572,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/cleaning_agent.png',0,0,37,56,1,0)
	anim:SetHotSpot(18,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cleaning_agent',anim,1007,285,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/clew.png',0,0,32,32,1,0)
	anim:SetHotSpot(16,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clew',anim,456,488,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/coffee_pot.png',0,0,55,49,1,0)
	anim:SetHotSpot(27,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coffee_pot',anim,913,465,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/fish1.png',0,0,38,32,1,0)
	anim:SetHotSpot(19,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish1',anim,741,342,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/fish2.png',0,0,32,34,1,0)
	anim:SetHotSpot(16,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish2',anim,312,173,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/fish3.png',0,0,56,41,1,0)
	anim:SetHotSpot(28,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish3',anim,918,507,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/flower1.png',0,0,60,39,1,0)
	anim:SetHotSpot(30,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flower1',anim,944,434,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/flower2.png',0,0,37,43,1,0)
	anim:SetHotSpot(18,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flower2',anim,666,522,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/flower3.png',0,0,53,36,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flower3',anim,235,635,97,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/funnel.png',0,0,39,35,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('funnel',anim,333,448,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/glass.png',0,0,44,57,1,0)
	anim:SetHotSpot(22,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glass',anim,967,536,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/glasses.png',0,0,63,32,1,0)
	anim:SetHotSpot(31,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,435,724,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/hanger.png',0,0,62,40,1,0)
	anim:SetHotSpot(31,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hanger',anim,821,283,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/keys.png',0,0,47,32,1,0)
	anim:SetHotSpot(23,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('keys',anim,648,577,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/lightbulb.png',0,0,33,23,1,0)
	anim:SetHotSpot(16,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightbulb',anim,387,371,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/lightning.png',0,0,24,21,1,0)
	anim:SetHotSpot(12,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightning',anim,285,641,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/mask1.png',0,0,53,52,1,0)
	anim:SetHotSpot(26,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask1',anim,929,131,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/mask2.png',0,0,49,75,1,0)
	anim:SetHotSpot(24,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask2',anim,245,206,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/mask3.png',0,0,73,62,1,0)
	anim:SetHotSpot(36,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask3',anim,735,725,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/puppet.png',0,0,43,122,1,0)
	anim:SetHotSpot(21,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('puppet',anim,712,270,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/shoe.png',0,0,30,33,1,0)
	anim:SetHotSpot(15,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoe',anim,879,349,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/spider.png',0,0,30,34,1,0)
	anim:SetHotSpot(15,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spider',anim,654,200,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/star1.png',0,0,27,32,1,0)
	anim:SetHotSpot(13,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star1',anim,334,507,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/star2.png',0,0,18,19,1,0)
	anim:SetHotSpot(9,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star2',anim,640,347,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/star3.png',0,0,25,29,1,0)
	anim:SetHotSpot(12,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star3',anim,591,688,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/streamer.png',0,0,54,41,1,0)
	anim:SetHotSpot(27,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('streamer',anim,835,734,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/thumbtack.png',0,0,23,33,1,0)
	anim:SetHotSpot(11,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('thumbtack',anim,995,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Items/vase.png',0,0,26,66,1,0)
	anim:SetHotSpot(13,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase',anim,341,349,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/BG_Maska1.png',0,0,43,25,1,0)
	anim:SetHotSpot(21,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Maska1',anim,927,151,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/BG_Tsvetok1.png',0,0,19,27,1,0)
	anim:SetHotSpot(9,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tsvetok1',anim,950,439,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/BG_Tsvetok3.png',0,0,50,83,1,0)
	anim:SetHotSpot(25,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tsvetok3',anim,259,627,98,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/BG_Yabloko2.png',0,0,70,78,1,0)
	anim:SetHotSpot(35,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Yabloko2',anim,770,630,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomCup/Layers/ZoomCupBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomCupBg',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomCup/Layers/Zoom_Chashka_gryz.png',0,0,268,281,1,0)
	anim:SetHotSpot(134,140)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dirt',anim,321,420,505,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_cup',anim,701,398,100,0,12,8)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Photos/cleaning_agent_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cleaning_agent_photo',anim,101,168,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_keyboard',anim,442,583,710,0,30,10)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Items/bolt.png',0,0,50,26,1,0)
	anim:SetHotSpot(25,13)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bolt',anim,432,461,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/BG_Brelok.png',0,0,31,67,1,0)
	anim:SetHotSpot(15,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Brelok',anim,291,285,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Items/trinket.png',0,0,34,61,1,0)
	anim:SetHotSpot(17,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trinket',anim,288,285,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Items/matches.png',0,0,62,42,1,0)
	anim:SetHotSpot(31,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('matches',anim,715,478,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Items/hammer.png',0,0,194,108,1,0)
	anim:SetHotSpot(97,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,583,469,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Items/hairbrush.png',0,0,97,50,1,0)
	anim:SetHotSpot(48,25)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('hairbrush',anim,697,585,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/Aska.png',0,0,370,257,1,0)
	anim:SetHotSpot(185,128)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Aska',anim,472,279,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/ZoomTableBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomTableBg',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_table',anim,454,338,105,0,12,14)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Items/spider.png',0,0,43,28,1,0)
	anim:SetHotSpot(21,14)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('spider2',anim,454,272,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Items/fish.png',0,0,37,117,1,0)
	anim:SetHotSpot(18,58)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('fish',anim,803,249,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Items/R.png',0,0,56,40,1,0)
	anim:SetHotSpot(28,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('R',anim,268,203,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Items/plane.png',0,0,30,29,1,0)
	anim:SetHotSpot(15,14)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('plane',anim,790,542,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Items/safety_pin.png',0,0,36,34,1,0)
	anim:SetHotSpot(18,17)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('safety_pin',anim,426,468,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Layers/ZoomDisplayBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomDisplayBg',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Layers/boy_9.png',0,0,344,244,1,0)
	anim:SetHotSpot(172,122)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('boy_9',anim,616,350,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Layers/displayimage1.png',0,0,168,302,1,0)
	anim:SetHotSpot(84,151)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('displayimage1',anim,277,472,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomDisplay/Layers/displayimage2.png',0,0,293,97,1,0)
	anim:SetHotSpot(146,48)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('displayimage2',anim,641,576,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_display',anim,518,241,130,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomCup/Items/candy.png',0,0,60,53,1,0)
	anim:SetHotSpot(30,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('candy',anim,785,197,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomCup/Items/cookie.png',0,0,102,98,1,0)
	anim:SetHotSpot(51,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cookie',anim,262,203,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomCup/Items/napkin.png',0,0,193,92,1,0)
	anim:SetHotSpot(96,46)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('napkin',anim,634,544,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomCup/Items/walnut.png',0,0,76,62,1,0)
	anim:SetHotSpot(38,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('walnut',anim,672,387,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Photos/password_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('password_photo',anim,99,469,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/aska.png',0,0,127,106,1,0)
	anim:SetHotSpot(63,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('aska',anim,461,322,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomCup/Items/password.png',0,0,95,52,1,0)
	anim:SetHotSpot(47,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('password',anim,331,462,504,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/comp1.png',0,0,128,153,1,0)
	anim:SetHotSpot(64,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('comp1',anim,389,477,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/comp2.png',0,0,127,135,1,0)
	anim:SetHotSpot(63,67)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('comp2',anim,401,476,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/comp3.png',0,0,143,146,1,0)
	anim:SetHotSpot(71,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('comp3',anim,389,476,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_hammer_1',anim,428,480,105,0,6,12)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_hammer_2',anim,428,480,102,0,6,12)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_hammer_3',anim,428,480,100,0,6,12)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Photos/hammer_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer_photo',anim,97,604,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Layers/DisplayOn.png',0,0,87,68,1,0)
	anim:SetHotSpot(43,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('DisplayOn',anim,454,325,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Animations/monitor.png',0,0,236,190,9,20)
	anim:SetHotSpot(118,95)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('monitor',anim,461,272,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/Animations/pomex.png',0,0,40,32,9,20)
	anim:SetHotSpot(20,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pomex',anim,529,212,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/password_star.png',0,0,8,10,1,0)
	anim:SetHotSpot(4,5)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('password_star_1',anim,404,324,709,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/password_star.png',0,0,8,10,1,0)
	anim:SetHotSpot(4,5)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('password_star_2',anim,417,323,709,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/password_star.png',0,0,8,10,1,0)
	anim:SetHotSpot(4,5)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('password_star_3',anim,430,322,709,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/PassRequest.png',0,0,358,226,1,0)
	anim:SetHotSpot(179,113)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('PassRequest',anim,462,272,701,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/displayimage3.png',0,0,64,200,1,0)
	anim:SetHotSpot(32,100)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('displayimage3',anim,224,306,701,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_house_2/ZoomTable/Layers/displayimage4.png',0,0,174,221,1,0)
	anim:SetHotSpot(87,110)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('displayimage4',anim,745,294,701,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Boy_Big.png',0,0,338,749,1,0)
	anim:SetHotSpot(169,374)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Boy_Big',anim,777,396,900,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
